For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
ModelsChatRankingsDocs
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
  • API Guides
    • Overview
    • Streaming
    • Embeddings
    • Limits
    • Authentication
    • Parameters
    • Errors and Debugging
  • API Reference
      • GETGet current API key
      • GETList API keys
      • POSTCreate a new API key
      • GETGet a single API key
      • DELDelete an API key
      • PATCHUpdate an API key
LogoLogo
ModelsChatRankingsDocs
API ReferenceAPI Keys

Get current API key

GET
https://openrouter.ai/api/v1/key
GET
/api/v1/key
$curl https://openrouter.ai/api/v1/key \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "byok_usage": 17.38,
4 "byok_usage_daily": 17.38,
5 "byok_usage_monthly": 17.38,
6 "byok_usage_weekly": 17.38,
7 "creator_user_id": "user_2dHFtVWx2n56w6HkM0000000000",
8 "include_byok_in_limit": false,
9 "is_free_tier": false,
10 "is_management_key": false,
11 "label": "sk-or-v1-au7...890",
12 "limit": 100,
13 "limit_remaining": 74.5,
14 "limit_reset": "monthly",
15 "usage": 25.5,
16 "usage_daily": 25.5,
17 "usage_monthly": 25.5,
18 "usage_weekly": 25.5,
19 "is_provisioning_key": false,
20 "rate_limit": {
21 "interval": "1h",
22 "note": "This field is deprecated and safe to ignore.",
23 "requests": 1000
24 },
25 "expires_at": "2027-12-31T23:59:59Z"
26 }
27}
Get information on the API key associated with the current authentication session
Was this page helpful?
Previous

List API keys

Next
Built with

Authentication

AuthorizationBearer
API key as bearer token in Authorization header

Response

API key details
dataobject
Current API key information

Errors

401
Unauthorized Error
500
Internal Server Error